Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.xml.dom
Class DomEvent.DomUIEvent

    java.lang.Object
      |
      +--gnu.xml.dom.DomEvent
            |
            +--gnu.xml.dom.DomEvent.DomUIEvent

All Implemented Interfaces:
  Event, UIEvent

Enclosing class:
  DomEvent

public static class DomEvent.DomUIEvent
extends DomEvent
implements UIEvent

"UIEvent" implementation.

Inner classes inherited from class gnu.xml.dom.DomEvent
`DomEvent.DomMutationEvent, DomEvent.DomUIEvent`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`DomEvent.DomUIEvent(java.lang.String type)` Constructs an uninitialized User Interface (UI) event

Method Summary
`int` | `getDetail()` Specifies some detail information about the `Event`, depending on the type of event.
`org.w3c.dom.views.AbstractView` | `getView()` The `view` attribute identifies the `AbstractView` from which the event was generated.
`void` | `initUIEvent(java.lang.String typeArg, boolean canBubbleArg, boolean cancelableArg, org.w3c.dom.views.AbstractView viewArg, int detailArg)` Initializes a UI event

Methods inherited from class gnu.xml.dom.DomEvent
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Constructor Detail

### DomEvent.DomUIEvent

    public DomEvent.DomUIEvent(java.lang.String type)

  Constructs an uninitialized User Interface (UI) event

Method Detail

### getView

    public final org.w3c.dom.views.AbstractView getView()

  Description copied from interface: `UIEvent`
  The `view` attribute identifies the `AbstractView` from which the event was generated.
  Specified by:
    `getView` in interface `UIEvent`

### getDetail

    public final int getDetail()

  Description copied from interface: `UIEvent`
  Specifies some detail information about the `Event`, depending on the type of event.
  Specified by:
    `getDetail` in interface `UIEvent`

### initUIEvent

    public final void initUIEvent(java.lang.String typeArg,
                                  boolean canBubbleArg,
                                  boolean cancelableArg,
                                  org.w3c.dom.views.AbstractView viewArg,
                                  int detailArg)

  Initializes a UI event
  Specified by:
    `initUIEvent` in interface `UIEvent`
  Following copied from interface: `org.w3c.dom.events.UIEvent`
  Parameters:
    `typeArg` - Specifies the event type.
    `canBubbleArg` - Specifies whether or not the event can bubble.
    `cancelableArg` - Specifies whether or not the event's default action can be prevented.
    `viewArg` - Specifies the `Event`'s `AbstractView`.
    `detailArg` - Specifies the `Event`'s detail.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.